<?php
/**
* @version $Id: mod_tsv_giftaid_list.php v 1.0 2018/12/06 $
* @package Gift Aid Donors List
* @copyright (C) 2017 Trevor Smith
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/  

defined('_JEXEC') or die;

$app = JFactory::getApplication();

$percent = $params->get( 'percent');
$days = $params->get( 'days');

$user = JFactory::getUser();
$userid = $user->id;

$db = JFactory::getDbo(); 
// Create a new query object.
$sql = $db->getQuery(true);

$sql = "SELECT ";
	$sql .= "T1.first_name, " ;
	$sql .= "T1.last_name, " ;
	$sql .= "T1.organization, " ;
	$sql .= "T1.payment_date, " ;
	$sql .= "T1.amount, " ;
	$sql .= "T2.field_value " ;
$sql .= "FROM ";
	$sql .= "#__jd_donors AS T1 ";
	$sql .= "LEFT JOIN #__jd_field_value AS T2 ON T1.id = T2.donor_id ";
	$sql .= "LEFT JOIN #__jd_fields AS T3 ON T2.field_id = T3.id ";
 
$sql .= "WHERE T3.name = 'Gift_Aid_my_donation' AND ";
$sql .= "(date(now()) - date(payment_date)) < ".$days." ";


$sql .= "ORDER BY T1.payment_date DESC; ";

$db->setQuery( $sql );
$db->query();
$count = $db->getNumRows();
$rows = $db->loadObjectList();

echo '<div style="border: 1px solid grey; margin:5px;  padding: 15px; width:80%; border-radius: 10px; ">';
echo "<h3>Gift Aid donations received over the last ".$days." days:</h3>";
echo "<p></p>";
echo "<table width='100%'  >";
if ($count > 0) {
	echo "<tr>";
	echo "<th align='left'>Donor</th>";
	echo "<th align='left'>Date</th>";
	echo "<th align='left'>Organisation</th>";
	echo "<th align='right'>Donation</th>";
	echo "<th align='right'>GA total</th>";
	echo "</tr>";
	$donation_total = 0;
	$ga_total = 0;
	foreach($rows as $row){
		if (strpos($row->field_value, "Yes")) {
			$donation_total += $row->amount;
			$giftaid = $row->amount * (1 + $percent/100);
			$ga_total += $giftaid;
			$donor = $row->first_name." ".$row->last_name;
			echo "<tr>";
				echo "<td align='left'>".$donor."</td>";
				echo "<td align='left'>".$row->payment_date."</td>";
				echo "<td align='left'>".$row->organization."</td>";
				echo "<td align='right'>".sprintf('%0.2f',$row->amount)."</td>"; 
				echo "<td align='right'>".sprintf('%0.2f',$giftaid)."</td>"; 
			echo "</tr>";
		}
	}
	echo "<tr >";
	echo "<th align='right' colspan='3'>Totals: </th>"; 
	echo "<th align='right'>".sprintf('%0.2f',$donation_total)."</th>"; 
	echo "<th align='right'>".sprintf('%0.2f',$ga_total)."</th>"; 
	echo "</tr>";
} else {
	echo "<tr>";
	echo "<th align-'center'>There are no gift aid donations inn this period.</th>";
	echo "</tr>";
}

echo "</table>";
echo "</div>";
echo "</div>";
 ?>